package com.ss.android.ugc.aweme.effect;

import X.PDo;
import com.bytedance.covode.number.Covode;
import java.io.Serializable;
import java.util.Arrays;

public class EffectModel implements Serializable {
    public String adjustParams;
    public String category;
    public int color;
    public int duration;
    public String extra;
    public String gameplayAlgorithm;
    public String hint;
    public String iconUrl;
    public int imagePath;
    public boolean isEnabled = true;
    public boolean isGoToCapCutEffect = false;
    public Boolean isNewEngineEffect = false;
    public String key;
    public String name;
    public String resDir;
    public int type;

    static {
        Covode.recordClassIndex(73922);
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{this.name, this.hint, Integer.valueOf(this.imagePath), this.key, Integer.valueOf(this.type), this.iconUrl, this.resDir, Integer.valueOf(this.color), Integer.valueOf(this.duration), this.category, this.extra, Boolean.valueOf(this.isEnabled)});
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            EffectModel effectModel = (EffectModel) obj;
            if (this.imagePath != effectModel.imagePath || this.type != effectModel.type || this.color != effectModel.color || this.duration != effectModel.duration || this.isEnabled != effectModel.isEnabled || !PDo.LIZ(this.name, effectModel.name) || !PDo.LIZ(this.hint, effectModel.hint) || !PDo.LIZ(this.key, effectModel.key) || !PDo.LIZ(this.iconUrl, effectModel.iconUrl) || !PDo.LIZ(this.resDir, effectModel.resDir) || !PDo.LIZ(this.category, effectModel.category) || !PDo.LIZ(this.extra, effectModel.extra) || this.isGoToCapCutEffect != effectModel.isGoToCapCutEffect || !this.gameplayAlgorithm.equals(effectModel.gameplayAlgorithm)) {
                return false;
            }
            return true;
        }
        return false;
    }
}
